%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%global         package_version 1.3.3
%global         srcname ovirt-setup-lib

Summary:        oVirt setup common library
Name:           %{srcname}
Version:        1.3.3
Release:        1
Source0:        http://resources.ovirt.org/pub/src/%{srcname}/%{srcname}-%{package_version}.tar.gz
License:        ASL 2.0
Group:          Development/Libraries
BuildArch:      noarch
Url:            http://www.ovirt.org

BuildRequires:  gettext

BuildRequires:  python3-devel
Requires: python3-%{srcname}

%description
oVirt setup common library

%package -n python3-%{srcname}
Summary:        oVirt setup common library
%{?python_provide:%python_provide python3-%{srcname}}
Requires: python3-setuptools
Requires: python3-netaddr
Requires: python3-six
Requires: python3-pwquality

%description -n python3-%{srcname}
oVirt setup common library

%prep
%setup -q -n %{srcname}-%{package_version}
    rm -rf %{py3dir}
    cp -a . %{py3dir}
    find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
pushd %{py3dir}
%configure \
        PYTHON="%{__python3}" \
        --docdir="%{_pkgdocdir}" \
        --disable-python-syntax-check \
        %{?conf}
make %{?_smp_mflags}
popd

%install
pushd %{py3dir}
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
popd
rm -f %{buildroot}%{_pkgdocdir}/README.md

%clean
rm -rf %{buildroot}

%files -n python3-%{srcname}
%{python3_sitelib}/ovirt_setup_lib/
%doc README.md
%license COPYING

%changelog
* Mon Sep 19 2022 tianlijing <tianlijing@kylinos.cn> - 1.3.3-1
- update to 1.3.3

* Fri Jul 02 2021 wangdi <wangdi@kylinos.cn> - 1.3.2-1
- Bump version to 1.3.2

* Thu Mar 5 2020 di.wang <di.wang@cs2c.com.cn> - 1.2.0-1
- Package Initialization

